PyCharm IDE 2017.1.5 发布,如何在 Ubuntu 中安装

PyCharm Python IDE 已在一天前发布了新的 2017.1.5 版本,并修复了几个错误。 以下是如何通过 PPA 在 Ubuntu 16.10、Ubuntu 17.10 和衍生版本中安装或升级它。

PyCharm 2017.1.5 修复了以下错误:

  • Python 3.6 调试器中的段错误
  • Python 调试会产生“未知操作码”错误。
  • 测试运行器:nose无故生成一堆空行
  • 测试运行器:unittest无故生成一堆空行
  • Nightly 插件和 EAP 9 IDE 似乎没有就安装哪个达成一致
  • 创建一个新项目永远挂在索引中
  • InaccessibleObjectException:无法在 JDK 9 上的 DebugReflectionUtil 中使字段可访问(java.base 未打开 java.util.concurrent.atomic/jdk.internal.misc)
  • 间歇性 Intellij 在 Linux 上与 2016.2.4 一起挂起
  • 在 EAP 2017.2 中,终端会话需要很长时间才能初始化
  • 编辑器背景图像隐藏编辑器装订线 (VCS) 标记

如何在 Ubuntu 中通过 PPA 安装 PyCharm 2017.1.5:

对于 Ubuntu 16.10 和 Ubuntu 17.04,通过 Ctrl+Alt+T 打开终端或通过在应用启动器中搜索“终端”,当它打开时,执行以下步骤:

1. 添加 PPA 存储库 通过命令:

sudo add-apt-repository ppa:viktor-krivak/pycharm

pycharm-ppa

2. 如果您安装了以前的版本,则通过软件更新程序升级 PyCharm。

或运行命令检查更新并安装 IDE(社区版):

sudo apt update

sudo apt install pycharm

对于专业版,运行 sudo apt install pycharm-professional 反而。

卸载 PyCharm:

要卸载 PyCharm Python IDE,只需运行命令:

sudo apt remove --autoremove pycharm pycharm-professional

并通过以下方式删除 PPA 软件和更新 其他软件选项卡下的实用程序。